# This file created by conda-build 25.5.0
# meta.yaml template originally from:
# /work/buildout/aggregate/httpcore-feedstock/recipe, last modified Tue Oct  7 21:45:02 2025
# ------------------------------------------------

package:
  name: httpcore
  version: 1.0.9
source:
  url: https://pypi.io/packages/source/h/httpcore/httpcore-1.0.9.tar.gz
  sha256: 6e34463af53fd2ab5d807f399a9b45ea31c3dfa2276f15a2c3f00afff6e176e8
build:
  number: '0'
  script: /work/buildout/croot/httpcore_1761937693110/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2025.9.9 h06a4308_0
    - expat 2.7.1 h6a678d5_0
    - hatch-fancy-pypi-readme 24.1.0 py314h06a4308_1
    - hatchling 1.27.0 py314h06a4308_1
    - ld_impl_linux-64 2.44 h153f514_2
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.0.18 hd6dcaed_0
    - packaging 25.0 py314h06a4308_1
    - pathspec 0.12.1 py314h06a4308_1
    - pip 25.2 pyh0d26453_1
    - pluggy 1.5.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.0 h3fc5862_101_cp314
    - python_abi 3.14 1_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.50.2 hb25bd0a_1
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2025.5.9.12 py314h06a4308_0
    - tzdata 2025b h04d1e81_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.6.4 h5eee18b_1
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - certifi
    - h11 >=0.16
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  requires:
    - pip
  imports:
    - httpcore
  commands:
    - pip check
about:
  home: https://github.com/encode/httpcore
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.md
  summary: The next generation HTTP client.
  description: The HTTP Core package provides a minimal low-level HTTP client, which
    does one thing only. Sending HTTP requests.
  dev_url: https://github.com/encode/httpcore
  doc_url: https://www.encode.io/httpcore/
extra:
  recipe-maintainers:
    - nicoddemus
    - synapticarbors
  final: true
  copy_test_source_files: true
  tool: perseverence-python-buildout
